## org.h2.bnf.context
Class DbColumn

    java.lang.Object
      org.h2.bnf.context.DbColumn

    public class DbColumn

extends java.lang.Object

Keeps the meta data information of a column. This class is used by the H2 Console.

Constructor Summary
`DbColumn(DbContents contents, java.sql.ResultSet rs)`

Method Summary
`java.lang.String` `getDataType()`
`java.lang.String` `getName()`
`int` `getPosition()`
`java.lang.String` `getQuotedName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbColumn

    public DbColumn(DbContents contents,
                    java.sql.ResultSet rs)
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### getDataType

    public java.lang.String getDataType()

  Returns:
    The data type name (including precision and the NOT NULL flag if applicable).

### getName

    public java.lang.String getName()

  Returns:
    The column name.

### getQuotedName

    public java.lang.String getQuotedName()

  Returns:
    The quoted table name.

### getPosition

    public int getPosition()

  Returns:
    Column index